takealot.com sends desktop site to Firefox for Android and Firefox OS

RESOLVED FIXED

Status

Tech Evangelism
Mobile
RESOLVED FIXED
5 years ago
2 years ago

People

(Reporter: hallvors, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [serversniff] [country-za] [contactready], URL)

Attachments

(1 attachment)

(Reporter)

Description

5 years ago
Created attachment 8360344 [details]
050.png

Compare the responses to these HTTP requests:

GET / HTTP/1.1
User-Agent: Mozilla/5.0 (Mobile; rv:23.0) Gecko/23.0 Firefox/23.0
Host: www.takealot.com

HTTP/1.1 200 OK
Server: Apache
X-Powered-By: PHP/5.3.2-1ubuntu4.9
PHP Page: /index.php
Set-Cookie: sw_desktop=d; expires=Thu, 16-Jan-2014 11:36:20 GMT; path=/; domain=.takealot.com
Set-Cookie: PHPSESSID=8nt20b21iopbi8heq43j5afbe3; path=/; domain=.takealot.com
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
Set-Cookie: ta=%7B%22LastVisit%22%3A%222013-12-16%22%2C%22ThisVisit%22%3A%222014-01-15%22%7D; expires=Tue, 15-Apr-2014 11:36:20 GMT; path=/; domain=.takealot.com
Set-Cookie: tausr=%7B%22idCustomer%22%3A0%2C%22guid%22%3A%2207A45CEF-E040-FD3B-B9D2-05A976AB7C6C%22%7D; expires=Thu, 15-Jan-2015 11:36:20 GMT; path=/; domain=.takealot.com
Set-Cookie: visitorGroup=0; expires=Wed, 26-Feb-2014 11:36:20 GMT; path=/; domain=.takealot.com
Set-Cookie: tasession=iJQykbyiOm1ywJBhkrSg7jG69Vbp9RDdsJC1VVl344nwWGzSPBXHnzf8yjEd8vcH6wgV%2FQ8wodKf3qHul2Z2ORh3ecbZeS7OkGd%2FFYWrL%2BF%2FdHyl2mmsA1qLjO7jS%2FArNnaOOL9qFH%2BJrAyrtS%2F9DA%3D%3D; expires=Wed, 15-Jan-2014 15:36:20 GMT; path=/; domain=.takealot.com
Vary: Accept-Encoding
Content-Type: text/html; charset=utf-8
X-Marks-the-Spot: We are hiring. Send your CV to it-jobs@takealot.com if you want to join our team.
Content-Length: 244251
Date: Wed, 15 Jan 2014 11:36:20 GMT
X-Varnish: 1455729537
Age: 0
Via: 1.1 varnish
Connection: keep-alive
X-Cache: MISS

------------------------------------------------------------------
GET / HTTP/1.1
User-Agent: Mozilla/5.0 (Android; Mobile; rv:23.0) Gecko/23.0 Firefox/23.0
Host: www.takealot.com

HTTP/1.1 302 Found
Server: Apache
X-Powered-By: PHP/5.3.2-1ubuntu4.9
PHP Page: /index.php
Location: http://m.takealot.com/?switcher=1
Vary: Accept-Encoding
Content-Type: text/html; charset=iso-8859-1
X-Marks-the-Spot: We are hiring. Send your CV to it-jobs@takealot.com if you want to join our team.
Content-Length: 0
Date: Wed, 15 Jan 2014 11:36:29 GMT
X-Varnish: 1455729909
Age: 0
Via: 1.1 varnish
Connection: keep-alive
X-Cache: MISS

------------------------------------------------------------------
GET /?switcher=1 HTTP/1.1
User-Agent: Mozilla/5.0 (Android; Mobile; rv:23.0) Gecko/23.0 Firefox/23.0
Host: m.takealot.com

HTTP/1.1 200 OK
Server: Apache
X-Powered-By: PHP/5.3.2-1ubuntu4.14
Set-Cookie: sw_mobile=m; expires=Thu, 16-Jan-2014 11:36:32 GMT; path=/; domain=.takealot.com
Set-Cookie: tausr=%7B%22idCustomer%22%3A0%2C%22guid%22%3A%22FE44E071-F28C-ABBB-031F-F8EAC82E295C%22%7D; expires=Thu, 15-Jan-2015 11:36:32 GMT; path=/; domain=.takealot.com
Set-Cookie: PHPSESSID=us2jpi7ncnhlhlp2gl5ksf5kj5; path=/; domain=.takealot.com
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
Set-Cookie: PHPSESSID=u2i4tdd3fec9kof767ogsil5o1; path=/; domain=.takealot.com
Set-Cookie: tal_mobile_beta=%7B%22LastVisit%22%3A%222013-12-16%22%2C%22ThisVisit%22%3A%222014-01-15%22%7D; expires=Tue, 15-Apr-2014 11:36:32 GMT; path=/; domain=.takealot.com
Set-Cookie: tal_mobile_beta=%7B%22idCustomer%22%3A-35031947%7D; expires=Tue, 15-Apr-2014 11:36:32 GMT; path=/; domain=.takealot.com
Vary: Accept-Encoding
Content-Type: text/html; charset=UTF-8
X-Marks-the-Spot: We are hiring. Send your CV to it-jobs@takealot.com if you want to join our team.
Content-Length: 76107
Date: Wed, 15 Jan 2014 11:36:32 GMT
X-Varnish: 1455730011
Age: 0
Via: 1.1 varnish
Connection: keep-alive
X-Cache: MISS

------------------------------------------------------------------
Contacted site by email.
Assignee: nobody → astevenson
Status: NEW → ASSIGNED
Whiteboard: [serversniff] [country-za] [contactready] → [serversniff] [country-za] [sitewait]
Response from site asking for more details on the problem.
Ticket created internally for dev to look at. Expecting response in a week.
Issue still exists, no response from contact.
Assignee: astevenson → nobody
Status: ASSIGNED → NEW
Whiteboard: [serversniff] [country-za] [sitewait] → [serversniff] [country-za] [contactready]

Comment 5

2 years ago
fixed
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
Summary: takealot.com sends desktop site to Firefox OS → takealot.com sends desktop site to Firefox for Android and Firefox OS
You need to log in before you can comment on or make changes to this bug.